Mail archive
alpine-devel

[alpine-devel] [PATCH] main/libunistring/APKBUILD

From: Nathan Angelacos <nangel_at_alpinelinux.org>
Date: Mon, 6 May 2013 00:31:00 +0000

New package for unicode string handling
---
 main/libunistring/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/libunistring/APKBUILD
diff --git a/main/libunistring/APKBUILD b/main/libunistring/APKBUILD
new file mode 100644
index 0000000..48390ff
--- /dev/null
+++ b/main/libunistring/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer: Nathan Angelacos <nangel_at_alpinelinux.org>
+pkgname=libunistring
+pkgver=0.9.3
+pkgrel=0
+pkgdesc="GNU Unicode string library"
+url="http://www.gnu.org/software/libunistring/"
+arch="all"
+license="LGPLv3+"
+depends=""
+depends_dev="libiconv-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnu.org/gnu/libunistring/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	 ./configure --prefix=/usr || return 1
+	make all || return 1
+}
+
+package() {
+	cd "$_builddir"
+    make DESTDIR="$pkgdir" install || return 1
+    rm "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="db8eca3b64163abadf8c40e5cecc261f  libunistring-0.9.3.tar.gz"
-- 
1.8.2.2
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon May 06 2013 - 00:31:00 UTC